Bug 487475 - Can't find syslog.conf (rsyslog?)
Can't find syslog.conf (rsyslog?)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rkhunter (Show other bugs)
rawhide
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 03:16 EST by Frank Murphy
Modified: 2009-03-11 17:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-11 17:22:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2009-02-26 03:16:59 EST
Description of problem: Doesn't know rsyslog is default for logging\reporting



Version-Release number of selected component (if applicable):
rkhunter-13.4-1.fc11.noarch
rsyslog-3.21.10-1.fc11.i386

How reproducible: always


Steps to Reproduce:
1. install rkhunter
2.
3.
  
Actual results:
/etc/cron.daily/rkhunter:

egrep: /etc/syslog.conf: No such file or directory


Expected results: log\report


Additional info:
Comment 1 Kevin Fenzi 2009-02-26 17:38:43 EST
This was a dumb mistake on my part in the spec. ;( 

I will spin up a fix soon. Thanks for spotting it!
Comment 2 Kevin Fenzi 2009-03-05 18:25:37 EST
Sorry for the delay. ;( 

I just pushed a new build to rawhide, can you confirm it's fixed there?
Comment 3 Frank Murphy 2009-03-07 14:21:24 EST
(In reply to comment #2)
> Sorry for the delay. ;( 
> 
> I just pushed a new build to rawhide, can you confirm it's fixed there?  

Uncertain, as I don't get that far:
rkhunter-1.3.4-4.fc11.noarch

sudo rkhunter --cronjob
[sudo] password for frank: 
O/S release file is a symbolic link: /etc/redhat-release


sudo rkhunter --sk --update --check
O/S release file is a symbolic link: /etc/redhat-release
Comment 4 Kevin Fenzi 2009-03-07 14:39:29 EST
Sigh. Thats what I get for doing a bunch of changes, then not re-testing everything before pushing a build. ;( 

Can you edit /etc/rkhunter.conf and change 'redhat-release' to 'fedora-release' in there and see if it runs ok after that. I will push out a new package with that fix, but would be good to have you test the rest before I do so.
Comment 5 Frank Murphy 2009-03-07 15:54:49 EST
(In reply to comment #4)
> Sigh. Thats what I get for doing a bunch of changes, then not re-testing
> everything before pushing a build. ;( 
> 
> Can you edit /etc/rkhunter.conf and change 'redhat-release' to 'fedora-release'
> in there and see if it runs ok after that. I will push out a new package with
> that fix, but would be good to have you test the rest before I do so.  

Looks ok, after edit.
Comment 6 Kevin Fenzi 2009-03-08 16:20:48 EDT
Great. I just pushed out a build with that fix. ;) 

If you can confirm that the new version fixes the above I think we are in good shape. 
I will then look at pushing new F-9/F-10/EL-5/EL-4 versions.
Comment 7 Frank Murphy 2009-03-10 14:45:08 EDT
sorry about dealy

rkhunter-1.3.4-5.fc11.noarch


if this is the latest, no problems so far

The system checks took: 2 minutes and 0 seconds
All results have been written to the logfile (/var/log/rkhunter/rkhunter.log)
No warnings were found while checking the system.
Comment 8 Kevin Fenzi 2009-03-11 17:22:28 EDT
Excellent thanks. 

I am going to close this one now, and push out some testing updates for stable releases. 
Thanks for testing!

Note You need to log in before you can comment on or make changes to this bug.